Summary:	The Ogg Vorbis Tools
Summary(es.UTF-8):	Utensilios Ogg Vorbis
Summary(pl.UTF-8):	Narzędzia do obsługi plików w formacie Ogg Vorbis
Summary(pt_BR.UTF-8):	Ferramentas Ogg Vorbis
Name:		vorbis-tools
Version:	1.4.3
Release:	1
Epoch:		1
License:	GPL v2
Group:		Development/Libraries
Source0:	https://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.gz
# Source0-md5:	2057a2f8778d4913ceb169268abf23d4
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-nolibnsl.patch
Patch2:		%{name}-gettext.patch
Patch3:		%{name}-pl.po-update.patch
URL:		https://xiph.org/vorbis/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	gettext-tools
BuildRequires:	libao-devel >= 1.0.0
BuildRequires:	libkate-devel
BuildRequires:	libogg-devel >= 2:1.1
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.3.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
Requires:	libvorbis >= 1:1.3.0
Obsoletes:	vorbis < 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality audio. This
package contains various tools for Ogg Vorbis files such as command
line encoder, decoder, player, etc.

%description -l pl.UTF-8
Ogg Vorbis jest otwartym, niezależnym oraz wolnym od odpłat i patentów
formatem ogólnego przeznaczenia dla plików dźwiękowych wysokiej
jakości. Pakiet zawiera różne narzędzia do obsługi plików w tym
formacie, np.: kompresor, dekompresor, odtwarzacz, itp.

%description -l pt_BR.UTF-8
Ogg Vorbis e' um formato de áudio aberto de propósito geral,
não-proprietário e isento de patentes e royalties, para áudio e musica
de alta qualidade.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1

%{__rm} po/stamp-po

# current gettext expect languages in po/LINGUAS, not in configure
%{__sed} -ne '/^ALL_LINGUAS/ { s/.*="//; s/"$//; p }' configure.ac > po/LINGUAS

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README ogg123/ogg123rc-example
%attr(755,root,root) %{_bindir}/ogg123
%attr(755,root,root) %{_bindir}/oggdec
%attr(755,root,root) %{_bindir}/oggenc
%attr(755,root,root) %{_bindir}/ogginfo
%attr(755,root,root) %{_bindir}/vcut
%attr(755,root,root) %{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123.1*
%{_mandir}/man1/oggdec.1*
%{_mandir}/man1/oggenc.1*
%{_mandir}/man1/ogginfo.1*
%{_mandir}/man1/vcut.1*
%{_mandir}/man1/vorbiscomment.1*
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vorbis-tools.git;a=log;h=master

* Sat Apr 19 2025 Jakub Bogusz <qboosh@pld-linux.org> d96f3d6
- updated to 1.4.3

* Sun Feb 16 2025 Jan Palus <atler@pld-linux.org> 5251feb
- flac 1.5.0 rebuild

* Sun Feb 16 2025 Jan Palus <atler@pld-linux.org> 4ed5d2f
- add missing include

* Fri Feb 14 2025 Jan Palus <atler@pld-linux.org> 9043b9b
- use %patch -P

* Sat Sep 24 2022 Jakub Bogusz <qboosh@pld-linux.org> 68faed6
- versioned Obsoletes

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> f945234
- flac rebuild

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 6bc8140
- rebuild with separate debuginfo build-ids

* Thu Feb 25 2021 Jakub Bogusz <qboosh@pld-linux.org> f95a18e
- added pl.po-update patch

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> aefc316
- updated to 1.4.2 (fixes CVE-2014-9638 CVE-2014-9639 CVE-2015-6749)
- added gettext patch (fixes build with gettext 0.20+)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7a95478
- updated gettext BR

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 5f6bc18
- rel 2

* Tue Apr 13 2010 Jakub Bogusz <qboosh@pld-linux.org> ccbdd76
- BR: libkate-devel

* Mon Apr 12 2010 Jakub Bogusz <qboosh@pld-linux.org> c42ca49
- updated to 1.4.0
- updated nolibnsl patch

* Fri Jan 15 2010 sparky <sparky@pld-linux.org> 8ba1f11
- BR: pkgconfig

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> ee3cfbb
- updated to 1.2.0
- updated ac_fixes patch, removed obsolete curl,flac patches

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> ec8ac88
- updated for 1.2.0

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 7a874b6
- obsolete

* Mon Feb 25 2008 Elan Ruusamäe <glen@pld-linux.org> ef0bc55
- release 7

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 5f1c4a1
- rel 6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ed55d96
- tabs in preamble

